Bug 7760 - offline login fails after a reboot
offline login fails after a reboot
Product: Samba 3.4
Classification: Unclassified
Component: Winbind
Other Linux
: P3 normal
: ---
Assigned To: Michael Adam
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2010-10-28 07:26 UTC by Timo Aaltonen
Modified: 2011-04-10 17:00 UTC (History)
2 users (show)

See Also:

log from restarting samba 3.5.6 when it was offline, and output from offline-login (94.56 KB, text/plain)
2010-11-17 11:46 UTC, Timo Aaltonen
no flags Details
log after a reboot (337.69 KB, text/plain)
2010-11-17 12:21 UTC, Timo Aaltonen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timo Aaltonen 2010-10-28 07:26:55 UTC
I backported the fix from bug 7590 to the version in ubuntu 10.04 (3.4.7), but that only fixed offline logins partially. Now they survive winbind restarts, but not reboots. The logfile says that the cache is valid, but for instance 'getent passwd username' doesn't show any information, nor does 'wbinfo -i username'.

This is what we have in smb.conf:
  kerberos method = secrets and keytab
  idmap config AALTO : backend = ad
  idmap config AALTO : readonly = yes
  idmap config AALTO : schema_mode = rfc2307
  idmap config AALTO : range = 1000-4000000000
  idmap uid = 1000-4000000000
  idmap gid = 1000-4000000000
  winbind nss info = rfc2307
  winbind use default domain = yes
  winbind offline logon = true
  winbind refresh tickets = true
  log level = winbind:10

nswitch.conf has:

passwd:         files winbind
group:          files winbind
shadow:         files

hosts:          files dns wins

so I think the configuration should be ok, since offline logins work when the machine is left running but offline.
Comment 1 Timo Aaltonen 2010-10-28 07:28:03 UTC
I also tried with 3.5.6, it's the same with that one as well.
Comment 2 Michael Adam 2010-11-04 10:42:12 UTC
That is really strange!

From winbindd's perspective, a restart and a system reboot should be the same.
Could you post a level 10 log of starting winbindd (after reboot) and a failing operation like getent passwd <user>.

For a comparison, please provice lvl 10 logs of the same process after a restart of winbindd (as opposed to reboot).

I'd also like to see your backported patch.

Thanks - Michael
Comment 3 Timo Aaltonen 2010-11-17 11:46:26 UTC
Created attachment 6068 [details]
log from restarting samba 3.5.6 when it was offline, and output from offline-login
Comment 4 Timo Aaltonen 2010-11-17 12:21:37 UTC
Created attachment 6069 [details]
log after a reboot

This one shows that even after going online the login fails after a reboot. It takes several minutes until I could login.
Comment 5 Andrew Meredith 2011-04-10 14:09:46 UTC
This issue is currently preventing deployment of Linux laptops in the organisation.
Comment 6 Volker Lendecke 2011-04-10 17:00:01 UTC
If you need that resolved quickly, please contact someone from http://www.samba.org/samba/support